ONX_Model_RenderLight Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_extensions.h>`

## Public Member Functions

| ONX_Model_RenderLight ()
| ~ONX_Model_RenderLight ()
| ONX_Model_RenderLight (const ONX_Model_RenderLight &)
ONX_Model_RenderLight & | operator= (const ONX_Model_RenderLight &)

## Public Attributes

ON_Light | m_light
ON_3dmObjectAttributes | m_attributes

## Detailed Description

Definition at line 111 of file opennurbs_extensions.h.

## Constructor & Destructor Documentation

## ONX_Model_RenderLight() [1/2]

ONX_Model_RenderLight::ONX_Model_RenderLight | ( |  | ) |

## ~ONX_Model_RenderLight()

ONX_Model_RenderLight::~ONX_Model_RenderLight | ( |  | ) |

## ONX_Model_RenderLight() [2/2]

ONX_Model_RenderLight::ONX_Model_RenderLight | ( | const ONX_Model_RenderLight & |  | ) |

## Member Function Documentation

## operator=()

ONX_Model_RenderLight& ONX_Model_RenderLight::operator= | ( | const ONX_Model_RenderLight & |  | ) |

## Member Data Documentation

## m_attributes

ON_3dmObjectAttributes ONX_Model_RenderLight::m_attributes

Definition at line 136 of file opennurbs_extensions.h.

## m_light

ON_Light ONX_Model_RenderLight::m_light

Definition at line 135 of file opennurbs_extensions.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_extensions.h